/*
 * hmac_md5.h --- header file for hmac md5
 */

#include "md5.h"

struct HMAC_MD5_Context {
	uint32 ibuf[4];
	uint32 obuf[4];
};

typedef struct HMAC_MD5_Context HMAC_MD5_CTX;

extern void HMAC_MD5_SetKey(struct HMAC_MD5_Context *context,
			    unsigned char *key, int key_len);
extern void HMAC_MD5(struct HMAC_MD5_Context *context, 
		     unsigned char *data, int data_len,
		     unsigned char digest[16]);

