/*
 * Utility files for kludge server
 */

#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>
#include <strings.h>

#include "util.h"

int set_environment(char *name, const char *value)
{
	char *p;

	p = malloc(2 + strlen(name) + strlen(value));
	sprintf(p, "%s=%s", name, value);
	putenv(p);
	return 0;
}

int setenv_if_not_set(char *name, const char *value)
{
	if (getenv(name))
		return 0;
	return set_environment(name, value);
}

char *string_duplicate(const char *str)
{
	char  *ret;

	ret = malloc(strlen(str)+1);
	if (ret)
		strcpy(ret, str);
	return ret;
}

		

