/*
 * mac-client.c --- where the mac specific parts of the kludge client live.
 */

#include <stdio.h>
#include <Dialogs.h>
#include <CodeFragments.h>

#include "mac_glue.h"

/* UniversalProcPtr	gKludgeGetConnectInfoGlue; */

enum {
	alrt_Failure	=	128,
	alrt_Success	=	129
};

/* const	Str255	gKludgeLibName		= "\pkludge";
const	Str255	gKludgeRoutineName	= "\pkludge_get_connect_info"; */

int
main ()
{
	char	serverHost [] = "sisdevl";
	char	serviceName [] = "host@sisdevl";
	char	username [32];
	char	password [32];
	char	errString [1024];
	
	char	dialogString [1024];
	
	unsigned short port = 17007;
	int		result;

	/* voodoo */
	
	OSErr				err = noErr;
/*	CFragConnectionID	connectionID = 0;
	Ptr					mainPtr = nil;
	Str255				errorString;
	Ptr					routineAddress = nil;
	CFragSymbolClass	routineClass; */
		
	InitGraf (&qd.thePort);
	InitFonts ();
	InitWindows ();
	InitMenus ();
	TEInit ();
	InitDialogs (nil);
	FlushEvents (everyEvent, 0);
	InitCursor ();
	
	/* more voodoo. this voodoo would not be necessary if MITAthenaLib didn't have a bug
		whereby TestTrack library requires to have Mac managers initialized before it can be loaded */
	
/* 	err = GetSharedLibrary (gKludgeLibName, kPowerPCCFragArch, kLoadCFrag, &connectionID, &mainPtr, errorString);
	if (err != noErr) {
		sprintf (dialogString, "Can't load kludge library: error %d.", err);
		paramtext (dialogString, nil, nil, nil);
		StopAlert (alrt_Failure, nil);
		return -1;
	}
	err = FindSymbol (connectionID, gKludgeRoutineName, &routineAddress, &routineClass);
	if ((err != noErr) || (routineClass != kTVectorCFragSymbol)) {
		sprintf (dialogString, "Can't find %s: error %d.", gKludgeRoutineName, err);
		paramtext (dialogString, nil, nil, nil);
		StopAlert (alrt_Failure, nil);
		return -1;
	}

	/* !! hardcoded PPC architecture. don't do this if you don't know what you are doing.
	gKludgeGetConnectInfoGlue = NewRoutineDescriptor ((ProcPtr) routineAddress, uppKludgeGetConnectInfoProcInfo, kPowerPCCFragArch);
	
	MITAthenaLib has been fixed. Yay. */
	
	/* kludge stuff */

	result = kludge_get_connect_info (serverHost, username, password, errString);

	if (errString [0]) {
		sprintf (dialogString, "kludge server error: %s (%d)", errString, result);
		paramtext (dialogString, nil, nil, nil);
		StopAlert (alrt_Failure, nil);
	} else {
		paramtext (username, password, nil, nil);
		NoteAlert (alrt_Success, nil);
	}
	
	return 0;
}

